<template>
  <v-container>
    <v-row>
      <v-list shaped>
        <v-subheader>Calendriers synchronisés</v-subheader>
        <v-list-item-group
            v-model="calendriersSelectionnes"
            multiple
        >
          <template v-for="(item, i) in listedeCalenriers">
            <v-divider
                v-if="!item"
                :key="`divider-${i}`"
            ></v-divider>

            <v-list-item
                v-else
                :key="`item-${i}`"
                :value="item"
                active-class="deep-purple--text text--accent-4"
            >
              <template v-slot:default="{ active }">
                <v-list-item-content>
                  <v-list-item-title v-text="item.summary"></v-list-item-title>
                </v-list-item-content>

                <v-list-item-action>
                  <v-checkbox v-on:change="synchroCalendrier(item.id)"
                              :input-value="active"
                              color="deep-purple accent-4"
                  ></v-checkbox>
                </v-list-item-action>
              </template>
            </v-list-item>
          </template>
        </v-list-item-group>
      </v-list>
    </v-row>
    <v-snackbar rounded="pill" v-model="synchroOK" :timeout="2000" right>Synchro Envoyée
      <template v-slot:action="{ attrs }">
        <v-btn
            text
            v-bind="attrs"
            @click="synchroOK = false"
        >
          Close
        </v-btn>
      </template>
    </v-snackbar>
  </v-container>
</template>
<script>
import googleCalendarService from "@/services/google-calendar-service"
import presenceService from "@/services/presences-service"

export default {
  name: 'menu-synchro-calendriers',
  data() {
    return {
      dialogEnvoiCalendriers: false,
      listedeCalenriers: [],
      calendriersSelectionnes: [],
      synchroOK: false
    }
  },
  methods: {
    /*envoyerVersMonCalendrier() {
      this.calendriersSelectionnes.forEach((calendrier) => {
        googleCalendarService.envoyerEvenement(this.$gapi.getGapiClient(), calendrier.id);
      })
      this.dialogEnvoiCalendriers = false
      this.synchroOK = true
    },*/
    synchroCalendrier(idCalendrier) {

      let user_id = this.$gapi.getUserData().id
      presenceService.getCalendarSynchro(user_id, idCalendrier).then(synchro => {
        presenceService.updateCalendarSynchro({
          "id_calendrier": idCalendrier,
          "id_google": this.$gapi.getUserData().id,
          "synchro": !synchro
        })
      })

    }
  },
  mounted() {
    googleCalendarService.listerLesCalendriers(this.$gapi.getGapiClient()).then((reponse) => {

          this.listedeCalenriers = reponse
          this.listedeCalenriers.forEach(calendrier => {

            presenceService.getCalendarSynchro(this.$gapi.getUserData().id, calendrier.id).then(synchro => {

                  if (synchro) {
                    this.calendriersSelectionnes.push(calendrier)
                  }
                }
            );
          })
        }
    );
  }
}
</script>